Subject: Re: [PATCH] sh_eth: merge sh_eth_free_dma_buffer() into sh_eth_ring_free()

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 5 Nov 2015 15:53:24 +0300

Hello.

On 11/5/2015 4:59 AM, David Miller wrote:

>> While the ring allocation is done by a single function, sh_eth_ring_init(),
>> the ring deallocation was split into two functions (almost always called
>> one after the other) for no good reason. Merge  sh_eth_free_dma_buffer()
>> into sh_eth_ring_free() which allows us  to save space not only on the
>> direct calls  of the former function but also on the sh_eth_ring_init()'s
>> simplified error path...
>>
>> Signed-off-by: Sergei Shtylyov <[email-masked]>
>
> Applied.

    Hum, I'm seeing both patches in the net.git repo, while they were  clearly 
targeted to net-next.git... Did you really consider these 2 patches fixes?

MBR, Sergei